package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest struct {
	/*
	   经营店编码     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   订单编码     */
	BizOrderId *int64 `json:"biz_order_id,omitempty" `

	/*
	   经度     */
	Longitude *string `json:"longitude,omitempty" `

	/*
	   维度     */
	Latitude *string `json:"latitude,omitempty" `

	/*
	   更新时间     */
	UpdateTime *util.LocalTime `json:"update_time,omitempty" `
}

func (s *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest) SetStoreId(v string) *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest) SetBizOrderId(v int64) *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest {
	s.BizOrderId = &v
	return s
}
func (s *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest) SetLongitude(v string) *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest {
	s.Longitude = &v
	return s
}
func (s *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest) SetLatitude(v string) *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest {
	s.Latitude = &v
	return s
}
func (s *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest) SetUpdateTime(v util.LocalTime) *AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest {
	s.UpdateTime = &v
	return s
}
